<template>
    <div class="mw-test-step">
        <div class="mw-test-step-title">试验点完成情况</div>
        <div class="mw-test-step-content">
            <step-list
                v-for="(item, index) in list" :key="'key'+index"
                :data="item"
                :end="(list.length-1) == index"></step-list>
        </div>
    </div>
</template>

<script>
import StepList from "@/components/smallModule/stepList";
export default {
    name: "mwTestStep",
    components: {
        StepList
    },
    props: {
        list: {
            type: Array,
            default() {
                return [
                    {
                        name: '试验一',
                        status: 2,
                        start: '试验开始时间  10:30',
                        end: '完成时间  10:30'
                    },
                    {
                        name: '试验二',
                        status: 2,
                        start: '试验开始时间  10:30',
                        end: '完成时间  10:30'
                    },
                    {
                        name: '试验三',
                        status: 2,
                        start: '试验开始时间  10:30',
                        end: '完成时间  10:30'
                    },
                    {
                        name: '试验四',
                        status: 1,
                        start: '试验开始时间  10:30',
                        end: ''
                    },
                    {
                        name: '试验五',
                        status: 0,
                        start: '计划开始时间  10:30',
                        end: ''
                    },
                    {
                        name: '试验六',
                        status: 0,
                        start: '计划开始时间  10:30',
                        end: ''
                    },
                ]
            }
        }
    },
    data() {
        return {}
    },
}
</script>

<style scoped>
.mw-test-step {
    padding: 16px 16px;
    background-color: rgba(44, 51, 119, 1);
}
.mw-test-step-title {
    font-size: 14px;
    font-weight: 700;
    color: rgb(245, 154, 35);
    margin-bottom: 16px;
}
</style>